Name: libdvdcss
Version: 1.2.8
Release: alt1

Summary: A portable abstraction library for DVD decryption
License: GPL
Group: System/Libraries
Url: http://www.videolan.org/libdvdcss

Source: %url/pub/%name/%version/%name-%version.tar.bz2

# Put css.h %name.h to %_includedir/dvdcss
Patch: %name-1.2.6-alt-more_headrs_makefile.patch

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Wed Mar 12 2003
BuildRequires: doxygen glibc-devel-static

%description
This is a portable abstraction library for DVD decryption.

libdvdcss is part of the VideoLAN project, a full MPEG2 client/server
solution. The VideoLAN Client can also be used as a standalone program
to play MPEG2 streams from a hard disk or a DVD.

%package devel
Summary: Development environment for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains development files required for building
%name-based software.

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains development files required for building
statically linked %name-based software.

%prep
%setup -q
%patch -p1

%build
%__rm -f missing
%__libtoolize --copy --force
%__aclocal
%__autoconf
%__automake -a -c -f

%configure
%make_build
%make_build doc

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_includedir/*
%_libdir/*.so
%doc doc/html

%files devel-static
%_libdir/*.a

%changelog
* Thu Nov 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.8-alt1
- new version.
- don't package .la files.

* Thu Apr 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.6-alt2
- More headers for MPlayer build.

* Wed Mar 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.6-alt1
- 1.2.6

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.2.5-alt1
- 1.2.5

* Sat Nov 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Mon Sep 16 2002 Rider <rider@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Mon Jun 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt1
- 1.2.1 

* Sun May 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt1
- 1.2.0  

* Wed Sep 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.0.3-alt2
- Specfile major cleanup (policy enforcement).

* Tue Sep 17 2001 Rider <rider@altlinux.ru> 0.0.3-alt1
- 0.0.3
- devel, devel-static package

* Thu Sep 6 2001 Martin Norbck <d95mback@dtek.chalmers.se>
- initial version
